C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA(最近はPMillマクロとFusion360APIが多い)

CATIA_V5

Draw内のTextをサイズ毎に色を付ける3

こちらの続きです。 Draw内のTextをサイズ毎に色を付ける2 - C#ATIA質問者さんの要望を取り込むように改良しました。 こんな感じです。 僕のささやかなメッセージが届くかな? コードは後日(しばらくしたら)、githubにUpします。

RGBAのLong型

こちらの続きのようなものです。 GetParameterOnSubStringメソッド - C#ATIAこちらのDrawingText.TextPropertiesのcolorがRGBAのLong型を返してきます。 r1 DrawingTextProperties (Object) この数値がRGB(例えば255, 255, 0)をどうやって計算すれば求めら…

GetParameterOnSubStringメソッド

CATIAのDrawingTxtオブジェクトのGetParameterOnSubStringメソッドを 使ったことが無いので、戸惑ってます。 御存知の方いらっしゃいましたらアドバイス頂けると助かります。GetParameterOnSubStringメソッドはDrawingTxtの部分的な文字の情報を 取得するメ…

Draw内のTextをサイズ毎に色を付ける2

こちらの続きです。 Draw内のTextをサイズ毎に色を付ける - C#ATIAリンク先のトピが削除されている。 とりあえずコードが残っていたので再投稿。 'catvba by kantoku 'Sample that changes color with text size Option Explicit Private Const OTHERCOLOR =…

Draw内のTextをサイズ毎に色を付ける

面白そうなテーマだったので、挑戦してみました。 catia font size identification - DASSAULT: CATIA products - Eng-Tips思ったより短時間に幾つものレスが付いて、ビックリ。 本当は、ズバリの物を投げちゃうことを快く思わない人も いるのは知っているの…

Drawのプリントアウトをマクロで行いたい1

手元に大量のDrawファイルがあるのですが、イチイチ開くのが面倒なので PDFとしてエクスポートしておきたいんです。主な手法としては、以前色々と教わったこちらの方法です。 DrawをPDFでエクスポート 3 - C#ATIA SaveAsでは不要なシートも出力されるし、背景ブラ…

CATIAをアクティブにする

昔はExcelのマクロからアウトプロセスでCATIAの操作していたんですが、 なんせ遅いんでかなり以前に止めました。しかし、必要に迫られ作っているものの、昔のものなんてとっくに 捨てていてやっていたことをすっかり忘れている。Excelからのマクロで処理後、…

ビューの位置を数値的に移動する

また、下らないものを作りました。CATIAのDrawでビューの位置をきっちりと決めたいんです! テーブルだけが入っているビューが複数あり、きっちり揃えたいんです!! 'vba Draw_Draw_MoveView_ver0.0.1 using-'KCL0.0.12' by Kantoku 'ControlTipText:選択し…

形状セット内の点の名前をDrawに配置する

タイトル異なりますが、実質こちらの続きです。 Drawで連番の文字を作る - C#ATIA先日作ったものが、やっぱり使い勝手が悪いです。 正直な所、使いたい場面はこんな感じです。 形状セット内に "平面上" で作成された大量の点があり、 この点の名前のテキスト…

Drawで連番の文字を作る

CATIAネタの度に "久々" って書いちゃうのですが、久々にCATIAのマクロです。Drawの作業していると、異様に連番の文字が必要になるのですが、 世の中の皆様はどの様に対処しているのでしょうか?相変わらず突貫で作りました。必要だったため。 'vba Draw_RenB…

ユーザーサイドのCATIA 関連サイト6

恐らく、こちらの続きです。 ユーザーサイドのCATIA 関連サイト5 - C#ATIA最近、気が付きました。こちらのサイト。 〇LiCLOG LiCLOG | Life is Createive ものづくりに関する知識をあなたにマクロも取り扱っている日本語なサイトです。 ・・・ここより親切丁寧な感じ…

スケッチ拘束がV又はHを参照しているか判断する

CATIAです。CATIAのマクロです。 CATIAでのアクセスの方が圧倒的に多いのはわかっているのですが、 ネタ無いんです。スケッチ拘束が V 又は H を参照しているか? を判断するマクロが 欲しそうだったので投下しました。 Dimension reference - DASSAULT: CATI…

SetCATIADotHSOSynchronizedToFalse

こんなフィルター知らない。 CATIA - DASSAULT: CATIA products - Eng-Tips検索してみると、こちらがヒット。 COE : Forums : Hide Constraintsうっすらとした解釈ですが古い仕様の様で、現在の CATIA.HSOSynchronized = False の様です。 ん~知らなかった。

SubList

こちらの質問の意味がわかり、回答を知っていたので答えてみました。 Speed up 'Component Activation State' parameter setting - DASSAULT: CATIA products - Eng-Tipsアクティブなファイルが複雑なデータ程、パラメータへのアクセスが重くなり 結果的に質…

手抜きマクロ起動用メニュー4

こちらの続きです。 手抜きマクロ起動用メニュー3 - C#ATIAGrabCADにUpしていましたが、管理が出来ない為Githubに 移動しました。 GitHub - kantoku-code/CATIA_V5_SimpleMacroMenu: Form buttons for calling macros created for each module are created dynamica…

MSAPC.Apc

手元にこちらのコードがあったので、 実行中のプロジェクト名とパス取得する - C#ATIAこちらに投げてみました。 CATIA VBA - Active Macro Path - DASSAULT: CATIA products - Eng-Tips意外でした、あのLittle Cthulhu氏が知らなかったなんて・・・。 Eng-TipsのC…

2019年を振り返る

通常、年末辺りは結構手が空くのですが、今年に限っては 忙しく、急いで振り返ります。〇CATIA 正直なところネタ切れ感が拭えず、今年はほぼ書いて無い様な記憶です。 今年のネタでは無いのですが、こちらの手抜きメニュー Free CAD Designs, Files & 3D Mod…

PartNumberをファイル名に書き換える

久々のCATIAなのですが、ちょっと残念な奴です。Productの際、ぶら下がったPartNumberをファイル名に書き換える と言う、今さら感の強いやつです。 'vba Assy_ProductReNamem_ver0.0.1 using-'KCL0.1.0' by Kantoku Option Explicit Private mFSO As Object …

LEDAS社

LEDAS社って聞かないですよね? ロシアのCAD関連会社なのですが、ロシア製のCADってお目にかかったこと無いです。ASCON 社(ロシア)の「C3D Geometric Kernel」と言うロシア製3DCADカーネルの 作成に関わっていた事は薄っすら知っていたのですが、こちらの…

2Dの曲線を選択した際、近い側の端点を取得

「2Dの曲線を選択した際、近い側の端点を取得したい」との相談を 頂きました。通常要素の選択であれば、Selection.SelectElement2が殆どなのですが、 今回の場合は、Selection.IndicateOrSelectElement2Dを使用します。 理由は単純で、クリックした位置の座…

MinimumBox パワーコピー

こちらでコメント頂きました。 今更ながら、ボディからMinimumBoxを作成する(Sketch&Pad) - C#ATIA 長すぎて止まる理由がわからないのですが、折角なのでこれとほぼ同等の パワーコピーを作ってみました。基本的に同じ考え方です。 多くのCADでのそうなので…

Drawの曲線をオフセットする

「Drawの曲線のオフセットをマクロで行いたい」との相談を頂きました。Drawは非常に難しいです。 過去のこちらを流用し行おうとしていたようなのですが、 Drawingの直線を移動する2 - C#ATIA こちらもすんなりと行ったものではない為、何ともならないのが本…

パラメータの「リンクの結果として」

こちら気になったのでササッと作ってみました。 Copy Parameters from product to part - DASSAULT: CATIA products - Eng-Tips 'catvba Sub CATMain() 'copy Dim copyDoc As PartDocument Set copyDoc = CATIA.Documents.Item("Part1.CATPart") Dim copySel…

配置スケッチを判断する

こちらでコメントを頂きました。 Drawのスプラインを描く3 - C#ATIA結論として、配置スケッチ(positioned sketch)はマクロでは パワーコピー以外では作れないと思っています。 それに取り組んでいた際、気が付いた事がスケッチのタイプの判断方法です。 いつか書こうと…

青い問題

CATProductで作業時にPart(PartDocument)を取得したいって 解釈したのですが・・・ Working in a CATPart in a CATProduct VBA - DASSAULT: CATIA products - Eng-Tipsこれ "青い問題" と言う名称が付いているようです。こちらの状態でPart2を取得したい場…

DrawをPDFでエクスポート 3

こちらのコメントで非常に貴重な情報を頂きました。 DrawをPDFでエクスポート (未解決)2 - C#ATIAこちらについても解決です。 DrawをPDFでエクスポート (未解決) - C#ATIA通りすがりさんのアドバイスを元に以下の手順で行いました。 〇プリンタを追加する 「プリンタの…

KCLのソースコードをGithubに移行しました

こちらでソースコードを管理していたのですが、 非常に個人的なCATVBA用ライブラリ - C#ATIA Githubで管理することにしました。 GitHub - kantoku-code/KCL: Library for personal CATVBA (CATIA macro)ついでに、Ver0.1.0としており破壊的な変更です。 Ver0.0.x…

CATIA V5 ファイルのアイコンの関連付け2

こちらの続きです。 CATIA V5 ファイルのアイコンの関連付け - C#ATIAアイコンの関連付けではなくて、正しくはファイルのダブルクリック時に 起動するCATIAの関連付けなのですが、こちらの方法でも上手くいきません。 https://faq.mypage.otsuka-shokai.co.jp/app/an…

更新後も非表示を保持する

悩んでます。サポートにも質問中ですが、生憎盆休み中のようで反応無しです。 こんな感じで3Dを作り2Dに落とします。 リンクはさせた状態です。 2D側の線を一ヶ所非表示にします。 3D側の形状を変更します。 2D側を更新します。 非表示にしておいた線が表示…

Drawの2点間距離を求める

「Drawの二つの点の距離を求めたい」と御相談頂きました。過去に必要になった場合は、座標値から計算して求めていたのですが、 確かに他の方法を調べた事が有りませんでした。 まず、元にするデータですがアクティブなビューに点を 二つだけ作っておきます。…